Bug 966168 - System custom_info add: Duplicate cli error messages
System custom_info add: Duplicate cli error messages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Adam Price
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 13:00 EDT by sthirugn@redhat.com
Modified: 2014-04-24 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-05-22 13:00:12 EDT
Description of problem:
Duplicate cli error messages shown in system custom_info add command

Version-Release number of selected component (if applicable):
* candlepin-0.8.7-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.7-1.el6_4.noarch
* candlepin-tomcat6-0.8.7-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10002-29.noarch
* foreman-postgresql-1.1.10002-29.noarch
* katello-1.4.2-6.el6sat.noarch
* katello-all-1.4.2-6.el6sat.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-5.el6sat.noarch
* katello-cli-common-1.4.2-5.el6sat.noarch
* katello-common-1.4.2-6.el6sat.noarch
* katello-configure-1.4.3-9.el6sat.noarch
* katello-configure-foreman-1.4.3-9.el6sat.noarch
* katello-foreman-all-1.4.2-6.el6sat.noarch
* katello-glue-candlepin-1.4.2-6.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-6.el6sat.noarch
* katello-glue-pulp-1.4.2-6.el6sat.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Try the following system custom_info command in the shell:

# system custom_info add
Usage:   <options> system custom_info add <options>

katello: errors:
1) Option --org is required; please see --help
2) At least one of --name, --uuid is required; please see --help
3) Option --keyname is required; please see --help
4) Option --org is required; please see --help
5) Option --keyname is required; please see --help
katello> system custom_info remove
Usage:   <options> system custom_info remove <options>


Actual results:
Notice that --org, --keyname attributes' errors are duplicated

Expected results:
katello: errors:
1) Option --org is required; please see --help
2) At least one of --name, --uuid is required; please see --help
3) Option --keyname is required; please see --help


Additional info:
Comment 3 Adam Price 2013-07-31 17:26:01 EDT
https://github.com/Katello/katello-cli/pull/63
Comment 5 Corey Welton 2013-09-23 14:13:28 EDT
QA Verified 

katello: errors:
1) Option --org is required; please see --help
2) At least one of --name, --uuid is required; please see --help
3) Option --keyname is required; please see --help
4) Option --value is required; please see --help

Satellite-6.0.2-RHEL-6-20130919.0
Comment 6 Bryan Kearney 2014-04-24 13:10:28 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 7 Bryan Kearney 2014-04-24 13:11:42 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.